### Name: predict.Mort1Dsmooth
### Title: Predict Method for 1D P-splines Fits
### Aliases: predict.Mort1Dsmooth
### Keywords: models regression smooth

### ** Examples
# selected data
years <- seq(1850, 2000, 10)
death <- selectHMDdata("Denmark", "Deaths", "Females", 60, years)
exposure <- selectHMDdata("Denmark", "Exposures", "Females", 60, years)
# fit
fit <- Mort1Dsmooth(x=years, y=death, offset=log(exposure),
                    ndx=10, method=3, lambda=10)
# fitted linear predictor at observed times
predict(fit) 
# predict log-rates for each year
plot(fit, "logrates")
newyears <- 1850:2000
pre <- predict(fit, newdata=newyears, type="link", se.fit=TRUE)
lines(newyears, pre$fit, col=4, lty=2, lwd=2)
lines(newyears, pre$fit + 2*pre$se, col=4, lty=3, lwd=2)
lines(newyears, pre$fit - 2*pre$se, col=4, lty=3, lwd=2)



